<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <FrameLayout
        android:id="@+id/surface_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center">

    </FrameLayout>

    <RelativeLayout
        android:id="@+id/thumb"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.gh.gamecenter.common.view.WrapContentDraweeView
            android:id="@+id/thumbImage"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:scaleType="centerCrop" />
    </RelativeLayout>

    <include
        android:id="@+id/layout_bottom"
        layout="@layout/piece_video_control"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true" />

    <moe.codeest.enviews.ENDownloadView
        android:id="@+id/loading"
        android:layout_width="28dp"
        android:layout_height="28dp"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:visibility="invisible" />

    <ImageView
        android:id="@+id/start"
        android:layout_width="44dp"
        android:layout_height="44dp"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:layout_gravity="center_vertical"
        android:src="@drawable/ic_game_detail_play" />

    <TextView
        android:id="@+id/pendingView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black_alpha_60"
        android:gravity="center"
        android:text="@string/pending_status"
        android:textColor="@color/white_alpha_80"
        android:textSize="12sp"
        android:visibility="gone" />

    <include
        android:id="@+id/replayContainer"
        layout="@layout/piece_forum_top_video_replay" />

    <LinearLayout
        android:id="@+id/layout_top"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_alignParentTop="true"
        android:layout_toEndOf="@+id/back_tiny"
        android:layout_toRightOf="@+id/back_tiny"
        android:gravity="center_vertical">

        <ImageView
            android:id="@+id/back"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:paddingLeft="10dp"
            android:scaleType="centerInside"
            android:src="@drawable/video_back" />

        <TextView
            android:id="@+id/title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:ellipsize="end"
            android:maxLines="1"
            android:paddingLeft="10dp"
            android:textColor="@color/white"
            android:textSize="16sp" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/preview_layout"
        android:layout_width="@dimen/seek_bar_image"
        android:layout_height="100dp"
        android:layout_above="@+id/layout_bottom"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="30dp"
        android:visibility="gone" />

    <LinearLayout
        android:id="@+id/errorContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:clickable="true"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        tools:visibility="visible">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="视频加载失败"
            android:textColor="@color/white"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/errorBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:alpha="0.5"
            android:background="@drawable/border_round_white"
            android:paddingLeft="16dp"
            android:paddingTop="4dp"
            android:paddingRight="16dp"
            android:paddingBottom="4dp"
            android:text="点击重试"
            android:textColor="@color/white"
            android:textSize="12sp" />

    </LinearLayout>
</RelativeLayout>
